Package: org.gradle.api.plugins.jetty

## [Java] Class JettyPluginConvention

- org.gradle.api.plugins.jetty.JettyPluginConvention

- Convention properties and methods added by the JettyPlugin.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Integer` | `getHttpPort()` Returns the TCP port for Jetty to listen on for incoming HTTP requests.
    `String` | `getStopKey()` Returns the key to use to stop Jetty.
    `Integer` | `getStopPort()` Returns the TCP port for Jetty to listen on for stop requests.
    `void` | `setHttpPort(Integer httpPort)`
    `void` | `setStopKey(String stopKey)`
    `void` | `setStopPort(Integer stopPort)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public Integer getHttpPort()

      Returns the TCP port for Jetty to listen on for incoming HTTP requests.

    - #### public String getStopKey()

      Returns the key to use to stop Jetty.

    - #### public Integer getStopPort()

      Returns the TCP port for Jetty to listen on for stop requests.

    - #### public void setHttpPort(Integer httpPort)

    - #### public void setStopKey(String stopKey)

    - #### public void setStopPort(Integer stopPort)